# Pandoc-pohja ja -suodatin kokousasiakirjoille

Ennakkovaatimuksena pohjan ja suodattimen käytölle on
[`pandoc`](https://pandoc.org), [`ghc`](https://haskell.org/downloads) (tai muu
haskell-kääntäjä) ja LaTeX-asennus (Unix-sukuisille käyttöjärjestelmille
`texlive`).

Voit käyttää pohjaa kloonattuasi tämän tietovaraston koneellesi komennolla
`pandoc --template <tietovaraston-polku>/templates/kokous.latex --filter
<tietovaraston-polku>/filters/allekirjoittajat.hs <kokousasiakirja> -t pdf -o
<tallennuspolku>`. Pitkän komennon kirjoittamiselta voit välttyä esim.
komentotulkin `alias`-komennolla tai kloonamalla/linkkaamalla tämän
tietovaraston hakemistot `~/.pandoc/`-hakemistoon.

# Kopiointi

Näitä pohjia saa kopioida vapaasti
[AGPL-lisenssin](https://www.gnu.org/licenses/agpl-3.0.en.html) version 3 tai
minkä tahansa myöhemmän Free Software Foundationin julkaiseman version
mukaisesti. Saat siis käyttää, kopioida, tehdä muutoksia sekä jakaa eteenpäin
muokkaamattomana ja muokattuna. Ehtona on, että annat kaikkien muiden
käyttää kaikkia jakamiasi versioita samoilla ehdoilla. Virallinen
lisenssiteksti löytyy englanniksi tiedostosta [`COPYING.md`](./COPYING.md).
