{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE ViewPatterns #-}

module Gitea.Preview.Markdown.Signatures (renderSignatures, renderSignatures') where

import Text.Pandoc (Pandoc, Block(..), Inline(..))
import Text.Pandoc.Walk (walk)

renderSignatures' :: Pandoc -> Pandoc
renderSignatures' = walk renderSignatures

renderSignatures :: Block -> Block
renderSignatures (Div attr@(_, (elem "allekirjoittajat" -> True), _) blocks) =
    Div attr $ Plain [Str "Pöytäkirjan vakuudeksi,", LineBreak] : blocks
renderSignatures x = x
